Skip to main content
Resource Center/Network Service/Network Service Operations/VIP Operations
PUTVIP OperationsSince 0.6SynchronousAuth Required

ChangeVipState

ChangeVipState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • changevipstateObjectRequired

    changevipstate request body object.

    • stateEventStringRequired

      The state event.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryVipInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • l3NetworkUuidStringRequired

      The L3 network UUID.

    • ipStringRequired

      The IP address of the IPv4 type.

    • stateStringRequired

      The state of the VIP, including Enabled and Enabled.

    • gatewayStringRequired

      The gateway.

    • netmaskStringRequired

      The netmask.

    • prefixLenStringRequired

      The prefix length.

    • serviceProviderStringRequired

      The service provider that provides the VIP service.

    • peerL3NetworkUuidStringRequired

      The L3 private network UUID or the VPC L3 network UUID.

    • useForStringRequired

      The usage, such as port forwarding.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

PUT/zstack/v1/vips/{uuid}/actions

/zstack/v1/vips/{uuid}/actions

Operation ID

ChangeVipState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/vips/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changevipstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "50be5da2ebcc41b1aa0413b611f2a723", "name": "vip1", "ipRangeUuid": "6c8c280a596846a3967c1202cc049770", "l3NetworkUuid": "df62c1dedde04fffbd591dc737a10772", "ip": "192.168.0.1", "state": "Enabled", "gateway": "127.0.0.1", "netmask": "255.255.0.0", "peerL3NetworkUuid": [ "bdb49f66946143538608b8feb6b3c35a" ] } }

Change History

This API has no change history records yet.

View all change history